Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.parameters
Enum RangeParameter.RangeType

    java.lang.Object
      java.lang.Enum<RangeParameter.RangeType>
          de.jstacs.parameters.RangeParameter.RangeType

All Implemented Interfaces:
  Serializable, Comparable<RangeParameter.RangeType>

Enclosing class:
  RangeParameter

    public static enum RangeParameter.RangeType

extends Enum<RangeParameter.RangeType>

The possible types of defining ranges for a `RangeParameter`.

Author:
  Jan Grau

Enum Constant Summary
`LIST` The values of the parameter are given as a list.
`NO` The parameter is not ranged, i.e. is works like a `SimpleParameter`.
`RANGE` The values of the parameter are given as a range of possible values and a number of steps between the first and the last value.

Method Summary
`static RangeParameter.RangeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RangeParameter.RangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO

    public static final RangeParameter.RangeType NO

  The parameter is not ranged, i.e. is works like a `SimpleParameter`.

### LIST

    public static final RangeParameter.RangeType LIST

  The values of the parameter are given as a list.

### RANGE

    public static final RangeParameter.RangeType RANGE

  The values of the parameter are given as a range of possible values and a number of steps between the first and the last value.

Method Detail

### values

    public static RangeParameter.RangeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RangeParameter.RangeType c : RangeParameter.RangeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RangeParameter.RangeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD